Generates a single random deviate from a non-central t-distribution

- « stats_rand_gen_noncentral_f

- stats_rand_gen_normal »

- PHP Manual
- Statistic Functions
- Generates a single random deviate from a non-central t-distribution

# stats_rand_gen_noncentral_t

(PECL stats >= 1.0.0)

stats_rand_gen_noncentral_t — Generates a single random deviate from a non-central t-distribution

### Description

stats_rand_gen_noncentral_t(float `$df`, float `$xnonc`): float

Returns a random deviate from the non-central t-distribution with the degrees of freedom, `df`, and the non-centrality parameter, `xnonc`.

### Parameters

`df`

  The degrees of freedom

`xnonc`

  The non-centrality parameter

### Return Values

A random deviate